Bug 210797 - xdg-utils: mimeopen should be a better generic default
xdg-utils: mimeopen should be a better generic default
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xdg-utils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-15 05:28 EDT by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-24 08:27:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for xdg-open to use mimeopen (485 bytes, patch)
2006-10-17 17:01 EDT, Patrice Dumas
no flags Details | Diff

  None (edit)
Description Patrice Dumas 2006-10-15 05:28:30 EDT
Description of problem:

xdg-open uses BROWSER for the generic default, it is not a very relevant
choice in my opinion. I have just packaged perl-File-MimeInfo in 
fedora with the mimeopen script which launches apps according to 
the freedesktop specification, and I think it would be 
interesting to try to launch an application through mimeopen before 
using the BROWSER.

I have added an option to mimeopen (-n), accepted by upstream, but
not released, to launch mimeopen non interactively (otherwise first
time it is started it asks for the preferred application for the mime
type if there are several). This option is especially suited for 
what I propose here.

I can try to do a patch if you accept the suggestion.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Rex Dieter 2006-10-15 08:41:30 EDT
I thought xdg-open uses freedesktop.org default too. (??)  Heck, xdg-utils comes
from *freedesktop.org*.
Comment 2 Patrice Dumas 2006-10-15 09:24:54 EDT
xdg-open doesn't do anything by itself. It is a simple shell
script which calls, depending on  the environment found, 
kfmclient on kde, exo-open on xfce, coresponding gnome command
on gnome - all of which implement more or less the freedesktop
specs.

When no specific environment is found it calls what is in BROWSER
or firefox/netscape/?.
Comment 3 Rex Dieter 2006-10-15 11:55:50 EDT
OK, I get it now, using mimeopen as generic fallback sounds reasonable.
Comment 4 Patrice Dumas 2006-10-15 11:58:07 EDT
Do you want that I do a patch against xdg-open?
Comment 5 Rex Dieter 2006-10-15 16:47:55 EDT
Patches are *always* welcome. (:
Comment 6 Patrice Dumas 2006-10-17 17:01:59 EDT
Created attachment 138729 [details]
patch for xdg-open to use mimeopen
Comment 7 Rex Dieter 2006-10-23 09:42:20 EDT
To be clear, does Extras' build of mimeopen support the -n (non-interactive)
option mentioned in comment #0 ?  If so, I'll go ahead an apply/use the patch.
Comment 8 Patrice Dumas 2006-10-24 05:06:12 EDT
Yes, it does. 

I added it to be able to use mimeopen non interactively in scripts,
it is applied in the fedora version (mimeopen is in perl-File-MimeInfo,
and I am the maintainer).
The upstream accepted the patch but he doesn't want to do a release 
soon.
Comment 9 Rex Dieter 2006-10-24 08:27:25 EDT
Thanks, patch will find it's way into next build:

%changelog
* Tue Oct 24 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.0-2
- prefer mimeopen as generic default (#210797)

Note You need to log in before you can comment on or make changes to this bug.